- Main Page
- Namespaces
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# eoVRPOnePointCrossover Class Reference

Implementation of the simple One Point Crossover. More...

`#include <eoVRPQuadCrossover.h>`

Inheritance diagram for eoVRPOnePointCrossover:

List of all members.

## Public Member Functions
| eoVRPOnePointCrossover ()
| Deafult constructor.
std::string | className () const
| Returns a string containing the name of the class.
bool | operator() (eoVRP &_genotype1, eoVRP &_genotype2)
| Performs a one point crossover.

## Detailed Description

Implementation of the simple One Point Crossover.

Definition at line 159 of file eoVRPQuadCrossover.h.

## Member Function Documentation

std::string eoVRPOnePointCrossover::className | ( | void |  | ) | const`[inline, virtual]`

Returns a string containing the name of the class.

Used to display statistics.

Returns:
  The string containing the name of the class.

Reimplemented from eoQuadOp< eoVRP >.

Definition at line 177 of file eoVRPQuadCrossover.h.

bool eoVRPOnePointCrossover::operator() | ( | eoVRP & | _genotype1,
|  | eoVRP & | _genotype2 |
| ) |  |  | `[inline, virtual]`

Performs a one point crossover.

Both parameters are the parents and the (future) children of the crossover.

Parameters:

  | _genotype1 | The first parent.
  | _genotype2 | The second parent.

Returns:
  True if any of the parents was modified. False otherwise.

Implements eoBF< eoVRP &, eoVRP &, bool >.

Definition at line 191 of file eoVRPQuadCrossover.h.

References eoVRP::cleanRoutes(), and eoRng::random().

The documentation for this class was generated from the following file:

- eoVRPQuadCrossover.h